Nuclom logoNuclom
Videos

List videos

Get a paginated list of videos for an organization

GET
/videos

Get a paginated list of videos for an organization

Authorization

bearerAuth
headerAuthorizationBearer <token>

Authentication token from login or API key

Response Body

List of videos with pagination

application/json
  1. response
data*array<>
pagination*
[key: string]?any
curl -X GET 'https://nuclom.com/api/videos'
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "title": "string",      "description": "string",      "duration": "string",      "thumbnailUrl": "string",      "videoUrl": "string",      "authorId": "ee6f7132-bd0a-4fcd-83b3-a8022377067b",      "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",      "channelId": "5f6d08bc-455a-4532-98b8-19e2cee51160",      "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50",      "transcript": "string",      "aiSummary": "string",      "viewCount": 0,      "isPublic": true,      "isDeleted": true,      "deletedAt": "string",      "retentionUntil": "string",      "createdAt": "string",      "updatedAt": "string"    }  ],  "pagination": {    "page": 0,    "limit": 0,    "total": 0,    "totalPages": 0  }}